Subject: bug#59603: closed (Re: bug#59603: 28.1.90; `ucs-normalize-string' fails to work)

From: [email-masked] (GNU bug Tracking System)
Date: Sat, 26 Nov 2022 08:58:02 +0000

Your bug report

#59603: 28.1.90; `ucs-normalize-string' fails to work

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
59603: https://debbugs.gnu.org/cgi/bugreport.cgi?bug=59603
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#59603: 28.1.90; `ucs-normalize-string' fails to work
From: Eli Zaretskii <[email-masked]>
To: Ihor Radchenko <[email-masked]>
Cc: [email-masked]
Date: Sat, 26 Nov 2022 10:57:45 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

> From: Ihor Radchenko <[email-masked]>
> Date: Sat, 26 Nov 2022 08:41:39 +0000
> 
> I just stumbled upon `ucs-normalize-string' 
> 
> (defmacro ucs-normalize-string (ucs-normalize-region)
>   `(with-temp-buffer
>      (insert str)
>      (,ucs-normalize-region (point-min) (point-max))
>      (buffer-string)))
> 
> It apparently uses undefined variable `str', which does not look right.

It's a macro, not a function.  So STR could come from the code which calls
the macro.  Look how it is used in that file, and you will see what I mean.

> Also, no docstring.

I added a doc string.

Thanks.

Subject: 28.1.90; `ucs-normalize-string' fails to work
From: Ihor Radchenko <[email-masked]>
To: [email-masked]
Date: Sat, 26 Nov 2022 08:41:39 +0000
List-Id: <debbugs-submit.debbugs.gnu.org>

Hi,

I just stumbled upon `ucs-normalize-string' 

(defmacro ucs-normalize-string (ucs-normalize-region)
  `(with-temp-buffer
     (insert str)
     (,ucs-normalize-region (point-min) (point-max))
     (buffer-string)))

It apparently uses undefined variable `str', which does not look right.
Also, no docstring.

-- 
Ihor Radchenko // yantar92,
Org mode contributor,
Learn more about Org mode at <https://orgmode.org/>.
Support Org development at <https://liberapay.com/org-mode>,
or support my work at <https://liberapay.com/yantar92>